[Rubygems-developers] request_gem vs. gem

Marcus Rueckert darix at web.de
Thu Mar 8 16:42:56 EST 2007


On 2007-03-08 14:48:02 -0500, Norman Walsh wrote:
> $ irb1.8
> irb(main):001:0> require "rubygems"
> => true
> irb(main):002:0> gem "fcgi"
> => true
> irb(main):003:0> FCGI
> NameError: uninitialized constant FCGI
>         from (irb):3
> 
> That doesn't seem to work at all.
> 
> Am I missing something obvious?

yes. gem 'fcgi' just tells it what library to use.

you need to do require 'fcgi' as last step.

    darix

-- 
           openSUSE - SUSE Linux is my linux
               openSUSE is good for you
                   www.opensuse.org


More information about the Rubygems-developers mailing list